/*++

Copyright (c) 2012 Seiko Instruments Inc.
All rights reserved.

Module Name:

    DevInfo.h

Abstract:

    Define table file for target device 

Author:

Revision History:

--*/

#pragma once


// Define dll file names
#define	DLL_FILE_NAME		TEXT("SiiRpe1Api.dll")	

// Sample commands
#define	FOOTER_CMD		{0x12,'q', 0x0F}

typedef struct _GETPRNCAP{
	LPCTSTR	pCmdName;
	INT		nIndex;
}GETPRNCAP, *PGETPRNCAP;

// Define string commands for RpGetPrnCapability()
static GETPRNCAP TBL_GETPRNCAP[] =			
{
	{ TEXT("Device ID"),		1 },
	{ TEXT("Type ID"),			2 },
	{ TEXT("Rom Version ID"),	3 },
	{ TEXT("F/W Version Main"), 65},
	{ TEXT("Manufacturer"),		66},
	{ TEXT("Model name"),		67},

	{ TEXT(""), 0 }
};
		
